#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n, m;
    cin >> n >> m;

    vector<int> g[2];
    vector<int> p[3];

    for(int i = 0; i < n; i++)
    {
        int in1, in2;
        cin >> in1 >> in2;
        g[0].push_back(in1);
        g[1].push_back(in2);
    }

    for(int i = 0; i < m; i++)
    {
        int in1, in2, in3;
        cin >> in1 >> in2 >> in3;
        p[0].push_back(in1 - 1);
        p[1].push_back(in2 - 1);
        p[2].push_back(in3);
    }

    for(int i = 0; i < m; i++)
    {
        int k = 0;
        for(int j = p[0][i]; j <= p[1][i]; j++)
        {
            if(p[2][i] >= g[0][j] && p[2][i] <= g[1][j]) k++;
        }
        cout << k << endl;
    }

    return 0;
}